Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.apache.lucene.queryParser.precedence

Interface Summary
CharStream | This interface describes a character stream that maintains line and column number positions of the characters.
PrecedenceQueryParserConstants |

Class Summary
FastCharStream | An efficient implementation of JavaCC's CharStream interface.
PrecedenceQueryParser | Experimental query parser variant designed to handle operator precedence in a more sensible fashion than QueryParser.
PrecedenceQueryParserTokenManager |
Token | Describes the input token stream.

Exception Summary
ParseException | This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError |

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.